# BEGIN SourceDeps(oneline):
BuildRequires: librdkafka-devel libsowing-devel perl(Alien/Base/Wrapper.pm) perl(Alien/Librdkafka.pm) perl(Exporter/Lite.pm) perl(ExtUtils/MakeMaker.pm) perl(Pod/Usage.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Kafka-Librd
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.20
Release: alt2
Summary: bindings for librdkafka
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Kafka::Librd

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz

%description
This module provides perl bindings for librdkafka.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/K*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.20-alt2
- rebuild with perl 5.38

* Wed Dec 15 2021 Igor Vlasenko <viy@altlinux.org> 0.20-alt1
- initial import by package builder

